<?php				

$forest_nature_custom_style= "";

//--------------sticky header----------------
if (false === get_option('forest_nature_sticky_header')) {
    add_option('forest_nature_sticky_header', 'off');
}

// Define the custom CSS based on the 'forest_nature_sticky_header' option

if (get_option('forest_nature_sticky_header', 'off') !== 'on') {
    $forest_nature_custom_style .= '.fixed-header.fixed {';
    $forest_nature_custom_style .= 'position: static;';
    $forest_nature_custom_style .= '}';
}

if (get_option('forest_nature_sticky_header', 'off') !== 'off') {
    $forest_nature_custom_style .= '.fixed-header.fixed {';
    $forest_nature_custom_style .= 'position: fixed; box-shadow: 0px 3px 10px 2px #eee; background: #fff;';
    $forest_nature_custom_style .= '}';

    $forest_nature_custom_style .= '.admin-bar .fixed {';
    $forest_nature_custom_style .= ' margin-top: 32px;';
    $forest_nature_custom_style .= '}';
}
/*---------------------------Scroll-top-position -------------------*/

$forest_nature_scroll_options = get_theme_mod( 'forest_nature_scroll_options','right_align');

if($forest_nature_scroll_options == 'right_align'){

$forest_nature_custom_style .='.scroll-top button{';

	$forest_nature_custom_style .='';

$forest_nature_custom_style .='}';

}else if($forest_nature_scroll_options == 'center_align'){

$forest_nature_custom_style .='.scroll-top button{';

	$forest_nature_custom_style .='right: 0; left:0; margin: 0 auto; top:85% !important';

$forest_nature_custom_style .='}';

}else if($forest_nature_scroll_options == 'left_align'){

$forest_nature_custom_style .='.scroll-top button{';

	$forest_nature_custom_style .='right: auto; left:5%; margin: 0 auto';

$forest_nature_custom_style .='}';
}
//---------------logo-max-height------------

$forest_nature_logo_max_height = get_theme_mod('forest_nature_logo_max_height','100');

if($forest_nature_logo_max_height != false){

$forest_nature_custom_style .='.custom-logo-link img{';

	$forest_nature_custom_style .='max-height: '.esc_html($forest_nature_logo_max_height).'px;';

$forest_nature_custom_style .='}';
}

/*---------------------------text-transform-------------------*/

$forest_nature_text_transform = get_theme_mod( 'forest_nature_menu_text_transform','CAPITALISE');
if($forest_nature_text_transform == 'CAPITALISE'){

$forest_nature_custom_style .='nav#top_gb_menu ul li a{';

	$forest_nature_custom_style .='text-transform: capitalize ; font-size: 14px;';

$forest_nature_custom_style .='}';

}else if($forest_nature_text_transform == 'UPPERCASE'){

$forest_nature_custom_style .='nav#top_gb_menu ul li a{';

	$forest_nature_custom_style .='text-transform: uppercase ; font-size: 14px;';

$forest_nature_custom_style .='}';

}else if($forest_nature_text_transform == 'LOWERCASE'){

$forest_nature_custom_style .='nav#top_gb_menu ul li a{';

	$forest_nature_custom_style .='text-transform: lowercase ; font-size: 14px;';

$forest_nature_custom_style .='}';
}

/*-------------------------Slider-content-alignment-------------------*/

$forest_nature_slider_content_alignment = get_theme_mod( 'forest_nature_slider_content_alignment','LEFT-ALIGN');

if($forest_nature_slider_content_alignment == 'LEFT-ALIGN'){

$forest_nature_custom_style .='.slider-inner{';

	$forest_nature_custom_style .='text-align:left; right: 50%; left: 20%;';

$forest_nature_custom_style .='}';


}else if($forest_nature_slider_content_alignment == 'CENTER-ALIGN'){

$forest_nature_custom_style .='.slider-inner{';

	$forest_nature_custom_style .='text-align:center; left: 15%; right: 15%;';

$forest_nature_custom_style .='}';


}else if($forest_nature_slider_content_alignment == 'RIGHT-ALIGN'){

$forest_nature_custom_style .='.slider-inner{';

	$forest_nature_custom_style .='text-align:right; left: 50%; right: 20%;';

$forest_nature_custom_style .='}';

}
//--------------------------------theme-width-options------------------------------
$forest_nature_theme_width = get_theme_mod( 'forest_nature_width_options','full_width');

if($forest_nature_theme_width == 'full_width'){

$forest_nature_custom_style .='body{';

	$forest_nature_custom_style .='max-width: 100%;';

$forest_nature_custom_style .='}';

}else if($forest_nature_theme_width == 'container'){

$forest_nature_custom_style .='body{';

	$forest_nature_custom_style .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';

$forest_nature_custom_style .='}';

$forest_nature_custom_style .='@media screen and (max-width:600px){';

$forest_nature_custom_style .='body{';

    $forest_nature_custom_style .='max-width: 100%; padding-right:0px; padding-left: 0px';
    
$forest_nature_custom_style .='} }';

}else if($forest_nature_theme_width == 'container_fluid'){

$forest_nature_custom_style .='body{';

	$forest_nature_custom_style .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';

$forest_nature_custom_style .='}';

$forest_nature_custom_style .='@media screen and (max-width:600px){';

$forest_nature_custom_style .='body{';

    $forest_nature_custom_style .='max-width: 100%; padding-right:0px; padding-left: 0px';
    
$forest_nature_custom_style .='} }';
}

//related products
if( get_option( 'forest_nature_related_product',true) != 'on') {

$forest_nature_custom_style .='.related.products{';

	$forest_nature_custom_style .='display: none;';
	
$forest_nature_custom_style .='}';
}

if( get_option( 'forest_nature_related_product',true) != 'off') {

$forest_nature_custom_style .='.related.products{';

	$forest_nature_custom_style .='display: block;';
	
$forest_nature_custom_style .='}';
}

// footer text alignment
$forest_nature_footer_content_alignment = get_theme_mod( 'forest_nature_footer_content_alignment','CENTER-ALIGN');

if($forest_nature_footer_content_alignment == 'LEFT-ALIGN'){

$forest_nature_custom_style .='.site-info{';

	$forest_nature_custom_style .='text-align:left; padding-left: 30px;';

$forest_nature_custom_style .='}';

$forest_nature_custom_style .='.site-info a{';

	$forest_nature_custom_style .='padding-left: 30px;';

$forest_nature_custom_style .='}';


}else if($forest_nature_footer_content_alignment == 'CENTER-ALIGN'){

$forest_nature_custom_style .='.site-info{';

	$forest_nature_custom_style .='text-align:center;';

$forest_nature_custom_style .='}';


}else if($forest_nature_footer_content_alignment == 'RIGHT-ALIGN'){

$forest_nature_custom_style .='.site-info{';

	$forest_nature_custom_style .='text-align:right; padding-right: 30px;';

$forest_nature_custom_style .='}';

$forest_nature_custom_style .='.site-info a{';

	$forest_nature_custom_style .='padding-right: 30px;';

$forest_nature_custom_style .='}';

}

// slider button
$mobile_button_setting = get_option('forest_nature_slider_button_mobile_show_hide', '1');
$main_button_setting = get_option('forest_nature_slider_button_show_hide', '1');

$forest_nature_custom_style .= '#slider .home-btn {';

if ($main_button_setting == 'off') {
    $forest_nature_custom_style .= 'display: none;';
}

$forest_nature_custom_style .= '}';

// Add media query for mobile devices
$forest_nature_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_button_setting == 'off' || $mobile_button_setting == 'off') {
    $forest_nature_custom_style .= '#slider .home-btn { display: none; }';
}
$forest_nature_custom_style .= '}';


// scroll button
$mobile_scroll_setting = get_option('forest_nature_scroll_enable_mobile', '1');
$main_scroll_setting = get_option('forest_nature_scroll_enable', '1');

$forest_nature_custom_style .= '.scrollup {';

if ($main_scroll_setting == 'off') {
    $forest_nature_custom_style .= 'display: none;';
}

$forest_nature_custom_style .= '}';

// Add media query for mobile devices
$forest_nature_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_scroll_setting == 'off' || $mobile_scroll_setting == 'off') {
    $forest_nature_custom_style .= '.scrollup { display: none; }';
}
$forest_nature_custom_style .= '}';

// theme breadcrumb
$mobile_breadcrumb_setting = get_option('forest_nature_enable_breadcrumb_mobile', '1');
$main_breadcrumb_setting = get_option('forest_nature_enable_breadcrumb', '1');

$forest_nature_custom_style .= '.archieve_breadcrumb {';

if ($main_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= 'display: none;';
}

$forest_nature_custom_style .= '}';

// Add media query for mobile devices
$forest_nature_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_breadcrumb_setting == 'off' || $mobile_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= '.archieve_breadcrumb { display: none; }';
}
$forest_nature_custom_style .= '}';

// single post and page breadcrumb
$mobile_single_breadcrumb_setting = get_option('forest_nature_single_enable_breadcrumb_mobile', '1');
$main_single_breadcrumb_setting = get_option('forest_nature_single_enable_breadcrumb', '1');

$forest_nature_custom_style .= '.single_breadcrumb {';

if ($main_single_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= 'display: none;';
}

$forest_nature_custom_style .= '}';

// Add media query for mobile devices
$forest_nature_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_single_breadcrumb_setting == 'off' || $mobile_single_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= '.single_breadcrumb { display: none; }';
}
$forest_nature_custom_style .= '}';

// woocommerce breadcrumb
$mobile_woo_breadcrumb_setting = get_option('forest_nature_woocommerce_enable_breadcrumb_mobile', '1');
$main_woo_breadcrumb_setting = get_option('forest_nature_woocommerce_enable_breadcrumb', '1');

$forest_nature_custom_style .= '.woocommerce-breadcrumb {';

if ($main_woo_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= 'display: none;';
}

$forest_nature_custom_style .= '}';

// Add media query for mobile devices
$forest_nature_custom_style .= '@media screen and (max-width: 600px) {';
if ($main_woo_breadcrumb_setting == 'off' || $mobile_woo_breadcrumb_setting == 'off') {
    $forest_nature_custom_style .= '.woocommerce-breadcrumb { display: none; }';
}
$forest_nature_custom_style .= '}';